libetonyek::IWORKFormula Class Reference documentation

libetonyek::IWORKFormula Class Reference

`#include <IWORKFormula.h>`

## Classes
struct | Coord
struct | Address
struct | Token
| small structure used by IWAParser to create formula More...

## Public Member Functions
| IWORKFormula (const boost::optional< unsigned > &hc)
bool | parse (const std::string &formula)
bool | parse (const std::vector< Token > &formula)
void | write (const boost::optional< unsigned > &hc, librevenge::RVNGPropertyListVector &formula, const IWORKTableNameMapPtr_t &tableNameMap) const
const std::string | str (const boost::optional< unsigned > &hc) const

## Private Member Functions
bool | computeOffset (const boost::optional< unsigned > &hc, int &offsetColumn, int &offsetRow) const

## Private Attributes
std::shared_ptr< Impl > | m_impl
boost::optional< unsigned > | m_hc

## Constructor & Destructor Documentation

## ◆ IWORKFormula()

libetonyek::IWORKFormula::IWORKFormula | ( | const boost::optional< unsigned > & | hc | ) |
| explicit

## Member Function Documentation

## ◆ computeOffset()

bool libetonyek::IWORKFormula::computeOffset | ( | const boost::optional< unsigned > & | hc,
|  | int & | offsetColumn,
|  | int & | offsetRow ) const
| private

## ◆ parse() [1/2]

bool libetonyek::IWORKFormula::parse | ( | const std::string & | formula | ) |

## ◆ parse() [2/2]

bool libetonyek::IWORKFormula::parse | ( | const std::vector< Token > & | formula | ) |

## ◆ str()

const std::string libetonyek::IWORKFormula::str | ( | const boost::optional< unsigned > & | hc | ) | const

## ◆ write()

void libetonyek::IWORKFormula::write | ( | const boost::optional< unsigned > & | hc,
|  | librevenge::RVNGPropertyListVector & | formula,
|  | const IWORKTableNameMapPtr_t & | tableNameMap ) const

## Member Data Documentation

## ◆ m_hc

boost::optional<unsigned> libetonyek::IWORKFormula::m_hc
| private

## ◆ m_impl

std::shared_ptr<Impl> libetonyek::IWORKFormula::m_impl
| private

The documentation for this class was generated from the following file:

- IWORKFormula.h